Update an SBM server

PUT/v1/hosts/sbm_servers/{server_id}

A PUT request to /v1/hosts/sbm_servers/{server_id} will update an SBM server mentioned in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of an SBM server. To get SBM server IDs, use a request to list all hosts and filter results by the sbm_server type.

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/hosts/sbm_servers/GRb462eB" \  -H "Content-Type: application/json" \  -d '{    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "second-team"    }  }'
{  "id": "GRb462eB",  "rack_id": "MYerR6eO",  "title": "title98",  "location_id": 256,  "location_code": "location536",  "status": "active",  "operational_status": "normal",  "power_status": "powered_on",  "configuration": "REMM R123",  "private_ipv4_address": "10.0.0.75",  "public_ipv4_address": "169.254.0.75",  "lease_start_at": "2026-05-25",  "scheduled_release_at": null,  "type": "sbm_server",  "oob_ipv4_address": null,  "configuration_details": {    "ram_size": 0,    "sbm_flavor_model_id": 668,    "sbm_flavor_model_name": "flavor-model-686",    "bandwidth_id": null,    "bandwidth_name": null,    "private_uplink_id": null,    "private_uplink_name": null,    "public_uplink_id": null,    "public_uplink_name": null,    "operating_system_id": null,    "operating_system_full_name": null  },  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "second-team"  },  "created_at": "2026-05-28T06:57:02Z",  "updated_at": "2026-05-28T06:57:02Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "Validation failed",  "code": "UNPROCESSABLE_ENTITY",  "errors": {    "labels": "invalid key \"@\""  }}